liip_imagine:
    resolvers:
        default:
            web_path: ~
            
    loaders:
        default:
            filesystem:
                data_root: '%kernel.project_dir%/public'
                
    # Configuration des chemins de stockage
    data_loader: default
                
    filter_sets:
        # Filtres pour les logos (format carré 200x200)
        member_logo:
            quality: 90
            filters:
                thumbnail: 
                    size: [200, 200]
                    mode: outbound
                    allow_upscale: true
                    
        member_logo_small:
            quality: 90
            filters:
                thumbnail: 
                    size: [100, 100]
                    mode: outbound
                    allow_upscale: true
                    
        # Filtres pour les bannières (format paysage 1200x300)
        member_banner:
            quality: 90
            filters:
                thumbnail: 
                    size: [1200, 300]
                    mode: outbound
                    allow_upscale: true
                    
        member_banner_medium:
            quality: 90
            filters:
                thumbnail: 
                    size: [800, 200]
                    mode: outbound
                    allow_upscale: true
                    
        member_banner_small:
            quality: 90
            filters:
                thumbnail: 
                    size: [400, 100]
                    mode: outbound
                    allow_upscale: true
                    
        # Filtres pour les aperçus temporaires
        crop_preview:
            quality: 85
            filters:
                thumbnail: 
                    size: [400, 400]
                    mode: inset
                    allow_upscale: true 